<template>
    <b-card class="card-profile text-center">
        <img alt='' class='card-img-profile' :src="avatar">
        <h4 class='card-title'>
        {{name}}
        <small>{{title}}</small>
        <small>{{description}}</small>
        </h4>
        <div class='card-links'>
          <slot name="links"></slot>
        </div>                            
    </b-card>
</template>
<script>
export default {
  props: {
    avatar: String,
    name: String,
    title: String,
    description: String,
  }
}
</script>

<style lang="scss" scoped>
$bg-start: #9d9181;
$bg-end: #9e866c;
$card-bg: #e6e5e1;
$dribbble-color: #ea4b89;
$twitter-color: #68aade;
$facebook-color: #3b5999;

.card-profile {
  margin: 50px auto;
  background-color: $card-bg;
  border-radius: 0;
  border: 0;
  box-shadow: 1em 1em 2em rgba(0,0,0,.2);
  
  .card-img-top {
    border-radius: 0;
  }

  .card-img-profile {
    max-width: 100%;
    border-radius: 50%;
    margin-bottom: 35px;
    border: 5px solid $card-bg;
  }

  .card-title {
    margin-bottom: 50px;

    small {
      display: block;
      font-size: .6em;
      margin-top: .2em;
    }
  }
  
  .card-links {
    margin-bottom: 25px;

    a {
      color: black;
      &:hover {
        color: #88b7b3
      }
    }
  }
}
</style>
